Bug 63823 - relocation error using VMware
relocation error using VMware
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: glibc (Show other bugs)
9
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-04-19 00:04 EDT by Brian G. Anderson
Modified: 2016-11-24 10:09 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-04-22 01:08:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Brian G. Anderson 2002-04-19 00:04:43 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.9) Gecko/20020408

Description of problem:
When I use VMware 3.1 with beta 2 I get things like:

/usr/bin/vmware-smbpasswd.bin: relocation error: /usr/bin/vmware-smbpasswd.bin:
undefined symbol: atexit

This comes up with almost any of the VMware utilities such as vmware-ping.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Install VMware-workstation-3.1.0
2.try to run vmware-config.pl
3.When it tries to ping a network (vmware-ping) or set a samba password
(vmware-smbpasswd.bin) it will faill with the relocation message.
	

Additional info:
Comment 1 Thornton Prime 2002-04-21 14:03:40 EDT
VMware is not alone ... 

$ realplay 
realplay: relocation error: realplay: undefined symbol: atexit

Comment 2 Ulrich Drepper 2003-04-17 13:10:59 EDT
What is the status of this if you're using RHL9 and LD_ASSUME_KERNEL=2.4.1?
Comment 3 Brian G. Anderson 2003-04-17 14:22:40 EDT
This problem has gone away in VMWARE 4.0 which works perfectly on RH9.
Comment 4 Ulrich Drepper 2003-04-22 01:08:51 EDT
Apparently fixed in RHL9 and the current glibc RPM.

Note You need to log in before you can comment on or make changes to this bug.